Xerces 2.4.0

Hi,

I'm new a new Idea user.

I want to use the latest Xerces parser (2.4.0) for my program. I've set that in the project library, but Idea doesnt seem to pick it up while executing, and gives me a runtime error. I think it still uses the default older built-in Xerces parser for execution, since the feature of Xerces 2.4.0 that I am using is unavailable in the older builds.

The same program works fine from the command line, using the same classpath I set in Idea.

Can anyone help me?

Thanks
Tarun

1 comment

Tarun Aggarwal wrote:

Hi,

I'm new a new Idea user.

I want to use the latest Xerces parser (2.4.0) for my program. I've set that in the project library, but Idea doesnt seem to pick it up while executing, and gives me a runtime error. I think it still uses the default older built-in Xerces parser for execution, since the feature of Xerces 2.4.0 that I am using is unavailable in the older builds.

The same program works fine from the command line, using the same classpath I set in Idea.

Can anyone help me?

You must ensure that in "Project Properties" -> "Paths" -> "Classpath"
your Xerces-jar-file-entry stands before the jdk-entry in the list (use
"Move up"/"Move down"). The order of the classpath-entries is
significant --> at runtime the jvm searches classfiles in the
classpath-entries and stops searching when the first matching classfile
is found...

Hope this helps,
Best regards,
Tom Schreiber


0

Please sign in to leave a comment.